
Infrastructure - Task #3912

Story # 3910 (Closed): Modify Synchronization to apply more validation Logic

 Validate systemmetadata against the schema

2013-08-12 17:07 - Robert Waltz

Status: Closed Start date: 2013-08-12

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

The systemMetadata received and modified may not be valid. Serialize the systemMetadata and validate it before performing any

creates/updates or other CRUD methods.

History

#1 - 2013-10-28 20:32 - Robert Waltz

- Target version changed from 2013.35-Block.5.1 to 2013.44-Block.6.1

#2 - 2013-10-28 21:25 - Robert Waltz

- Product Version set to 1.2.1

- Milestone changed from CCI-1.3 to CCI-1.2

#3 - 2013-10-30 00:56 - Robert Waltz

- Target version changed from 2013.44-Block.6.1 to 2013.46-Block.6.2

#4 - 2014-01-06 18:44 - Dave Vieglais

- Target version deleted (2013.46-Block.6.2)

#5 - 2014-07-25 20:25 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

- Product Version changed from 1.2.1 to 1.4.0

#6 - 2014-07-31 19:58 - Robert Waltz

- Target version set to 2014.30-Block.4.3

#7 - 2014-07-31 21:21 - Robert Waltz

- Assignee changed from Robert Waltz to Skye Roseboom

#8 - 2014-09-02 18:21 - Skye Roseboom

- Target version changed from 2014.30-Block.4.3 to Release Backlog

#9 - 2014-09-04 02:21 - Robert Waltz

- Product Version changed from 1.4.0 to *

#10 - 2014-09-24 18:09 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.4.1
#11 - 2014-09-24 18:31 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#12 - 2014-10-02 19:29 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#13 - 2014-10-07 17:29 - Skye Roseboom

- Milestone changed from CCI-1.4 to None

#14 - 2014-10-30 16:56 - Skye Roseboom

- Status changed from New to In Progress

#15 - 2014-10-30 16:56 - Skye Roseboom

- Status changed from In Progress to Testing

#16 - 2014-12-15 20:06 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

released with cci 1.5.0
